Torque2D Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | List of all members
scoped_ptr< T > Class Template Reference

`#include <gtest-port.h>`

## Public Types
typedef T | element_type
typedef T | element_type
typedef T | element_type

## Public Member Functions
| scoped_ptr (T *p=NULL)
| ~scoped_ptr ()
T & | operator* () const
T * | operator-> () const
T * | get () const
T * | release ()
void | reset (T *p=NULL)
| scoped_ptr (T *p=NULL)
| ~scoped_ptr ()
T & | operator* () const
T * | operator-> () const
T * | get () const
T * | release ()
void | reset (T *p=NULL)
| scoped_ptr (T *p=NULL)
| ~scoped_ptr ()
T & | operator* () const
T * | operator-> () const
T * | get () const
T * | release ()
void | reset (T *p=NULL)

## Member Typedef Documentation

typedef T element_type

typedef T element_type

typedef T element_type

## Constructor & Destructor Documentation

scoped_ptr | ( | T * | p = `NULL` | ) |
| inline explicit

~scoped_ptr | ( |  | ) |
| inline

scoped_ptr | ( | T * | p = `NULL` | ) |
| inline explicit

~scoped_ptr | ( |  | ) |
| inline

scoped_ptr | ( | T * | p = `NULL` | ) |
| inline explicit

~scoped_ptr | ( |  | ) |
| inline

## Member Function Documentation

T* get | ( |  | ) | const
| inline

T* get | ( |  | ) | const
| inline

T* get | ( |  | ) | const
| inline

T& operator* | ( |  | ) | const
| inline

T& operator* | ( |  | ) | const
| inline

T& operator* | ( |  | ) | const
| inline

T* operator-> | ( |  | ) | const
| inline

T* operator-> | ( |  | ) | const
| inline

T* operator-> | ( |  | ) | const
| inline

T* release | ( |  | ) |
| inline

T* release | ( |  | ) |
| inline

T* release | ( |  | ) |
| inline

void reset | ( | T * | p = `NULL` | ) |
| inline

void reset | ( | T * | p = `NULL` | ) |
| inline

void reset | ( | T * | p = `NULL` | ) |
| inline

The documentation for this class was generated from the following files:

- persistence/rapidjson/thirdparty/gtest/include/gtest/internal/gtest-port.h
- testing/googleTest/fused-src/gtest/gtest.h